Skip to main content
GET
Retrieve a transfer approval

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transferApprovalId
string
required

Public ID of the transfer approval (prefixed with ta_)

Response

Transfer approval retrieved successfully.

A pending or resolved transfer approval.

id
string

Public ID of the transfer approval (prefixed with ta_).

Example:

"ta_9aB0xY4mNpXwZ7bV1aLdt"

status
enum<string>
Available options:
PENDING,
APPROVED,
REJECTED,
EXPIRED
Example:

"PENDING"

transferId
string

Internal identifier of the transfer awaiting approval. Note: this is not currently the transfer's public ID (e.g. its ofrmp_/brdg_/ctr_ ID) and cannot be used to look it up via the API.

Example:

"e1a2b3c4-5678-90ab-cdef-1234567890ab"

transferType
enum<string>

The resource type transferId belongs to.

Available options:
CRYPTO_TRANSFER,
OFFRAMP,
BRIDGE,
ONRAMP,
BATCH_CRYPTO_TRANSFER
Example:

"OFFRAMP"

fromDashboard
boolean

Whether the underlying transfer was initiated from the HIFI dashboard rather than the API.

Example:

false

initiatorProfileId
string

Internal ID of the profile that initiated the transfer.

votes
object[]
createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:35:00.000Z"